@import "../abstracts/mixins";
@import "../abstracts/variables";

@media (min-width: $min-media-mobile) {
  .lastInstagramShots {
    padding-bottom: 42px;
    padding-right: 25px;
    padding-left: 25px;
    &__title {
      @include sectionTitle;
      margin-bottom: 13px;
    }
    &__wrapper {
      & > :not(:first-child) {
        @include display(none);
      }
      &__img {
        max-width: 301px;
      }
    }
    &__social-link {
      @include display(none);
    }
    // &__img-wrapper > img {
    //   width: 100%;
    //   height: 100%;
    //   &:first-child {
    //     max-width: 301px;
    //   }
    // }
  }
}

// tablet

@media (min-width: $min-media-tablet) {
  .lastInstagramShots {
    background-color: $lastInsShotBackground;
    padding-left: 80px;
    padding-right: 80px;
    &__title {
      margin-bottom: 0px;
    }
    &__title-wrapper {
      padding-top: 47px;
      margin-bottom: 35px;
      @include flex(row, space-between, center);
    }
    &__social-link {
      @include display(block);
      @include sectionTitle;
      font-size: 13px;
      text-decoration: none;
    }
    &__img {
      width: 250px;
      height: 250px;
    }
    &__wrapper {
      @include flex(row, center, center, 10px);
      width: auto;
      height: auto;
      & > :last-child {
        @include display(none);
      }
      & > :not(:last-child) {
        @include display(block);
      }
    }
  }
}

//pc

@media (min-width: $min-media-desktop) {
  .lastInstagramShots {
    background-color: $lastInsShotBackground;
    padding-left: 80px;
    padding-right: 80px;
    padding-bottom: 50px;
    &__title-wrapper {
      padding-top: 47px;
      padding-bottom: 24px;
      @include flex(row, space-between, center);
      & > a {
        @include display(block);
        @include sectionTitle;
        font-size: 13px;
        text-decoration: none;
      }
    }
    &__img-wrapper {
      & > * {
        width: 100%;
        height: 100%;
      }
    }
    &__wrapper {
      display: grid;
      grid-template-areas: "post1 post2 post3 post4";
      gap: 10px;
      .post1 {
        grid-area: post1;
      }
      .post2 {
        grid-area: post2;
      }
      .post3 {
        grid-area: post3;
      }
      .post4 {
        grid-area: post4;
        @include display(block);
      }
    }
    &__title {
      margin-bottom: 0px;
    }
  }
}

// display none
.display-none {
  @include display(none);
}
